import { EntityRepository, Repository } from "typeorm";
import { RegistrationPageCmsEntity } from "./entities/registration-page-cms.entity";
import { UpdateRegistrationPageCmsDto } from "./dto/update-registration-page-cms.dto";

@EntityRepository(RegistrationPageCmsEntity)
export class RegistrationPageCmsRepository extends Repository<RegistrationPageCmsEntity> {

    async createEntity(dto: UpdateRegistrationPageCmsDto): Promise<RegistrationPageCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                buttonText: dto.buttonText,
                image: dto.image
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateRegistrationPageCmsDto, id: string): Promise<RegistrationPageCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                buttonText: dto.buttonText,
                image: dto.image
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<RegistrationPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}