import { EntityRepository, Repository } from "typeorm";
import { ResetPasswordPageCmsEntity } from "./entities/reset-password-page-cms.entity";
import { UpdateResetPasswordPageCmsDto } from "./dto/update-reset-password-page-cms.dto";

@EntityRepository(ResetPasswordPageCmsEntity)
export class ResetPasswordPageCmsRepository extends Repository<ResetPasswordPageCmsEntity> {

    async createEntity(dto: UpdateResetPasswordPageCmsDto): Promise<ResetPasswordPageCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                image: dto.image
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateResetPasswordPageCmsDto, id: string): Promise<ResetPasswordPageCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                image: dto.image
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ResetPasswordPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}