import { IsEmpty, IsNotEmpty, IsOptional } from "class-validator";

export class CreateOrderDto {
    @IsNotEmpty()
    readonly shippingAddress: string;

    @IsNotEmpty()
    readonly billingAddress: string;

    @IsNotEmpty()
    readonly coupon: string;

    @IsNotEmpty()
    readonly products: [Object];

    @IsNotEmpty()
    readonly paymentMethodName: string;

    @IsNotEmpty()
    readonly shippingCost: number;

    @IsEmpty()
    shippingType: string;

    @IsEmpty()
    serviceType: string;

    @IsEmpty()
    packagingType: string;

    @IsEmpty()
    weightValue: number;

    @IsEmpty()
    amount: number;

    @IsEmpty()
    ccNum: string;

    @IsEmpty()
    ccExp: string;

    @IsEmpty()
    cvv: string;

    @IsEmpty()
    discountType: string;

    @IsEmpty()
    discountTotal: number;

    @IsNotEmpty()
    readonly salesTaxTitle: string;

    @IsNotEmpty()
    readonly salesTaxRate: number;

    @IsNotEmpty()
    readonly salesTaxAmount: number;

    @IsOptional()
    readonly newsletterEmail: string;

    @IsNotEmpty()
    readonly newsletterEmailChecked: boolean;
}
